library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_unsigned.ALL;
entity clkdiv is
	port(
		clk 		: 	in STD_LOGIC;
		clk_out	:	out STD_LOGIC;
		clk_out1	:	out STD_LOGIC;
		reset		: 	out STD_LOGIC;
		clock_en	:	out STD_LOGIC := '1'
		--clk_out2	:	out STD_LOGIC
		);
end clkdiv;

architecture clkdiv of clkdiv is
signal q:STD_LOGIC_VECTOR (23 downto 0) := (others => '0');
signal lock : STD_LOGIC := '0';
begin
-- clock divider
	process(clk)
	begin if clk'event and clk = '1' then
			q <= q + 1;
			if q = "000000001000000000000000" and lock = '0' then --reset generator for filter
				reset <= '1';
				lock <= '1';
				end if;
		end if;
	end process;
	--clk_out <= q(12);	-- ~6103.52 Hz
	--clk_out <= q(10);	-- ~6103.52 Hz
	clk_out <= q(9); -- ~48828.13 Hz
	clk_out1 <= q(13);
	--clk_out1 <= q(10);	-- ~24414.06 Hz
	--clk_out1 <= q(11);	-- ~12k
	--clk_out2 <= q(0);	-- ~25MHz
end clkdiv;

